/****************************************************************************
 * Grafik-LCD Treiber mit VRAM.
 *
 * (C) Andreas Kaiser 2008.
 *
 * Die Software darf frei kopiert und verndert werden, solange sie
 * nicht ohne meine ausdrckliche Erlaubnis fr kommerzielle Zwecke
 * eingesetzt wird.
 ****************************************************************************/

#ifndef _USART_H_
#define _USART_H_

#include "config.h"

void		usartInit (void);
void		usartStop (void);	// disable handshake
void		usartStart (void);	// cleanup receiver after error or wakeup
unsigned	usartError (void);	// receiver error?

unsigned	usartRxAvail (void);
unsigned	usartReceive (void);

unsigned	usartTxAvail (void);
void		usartTransmit (uint8_t);

#endif
