/****************************************************************************
 * Grafik-LCD Treiber mit VRAM.
 *
 * (C) Andreas Kaiser 2008.
 *
 * Die Software darf frei kopiert und verndert werden, solange sie
 * nicht ohne meine ausdrckliche Erlaubnis fr kommerzielle Zwecke
 * eingesetzt wird.
 ****************************************************************************/

#ifndef __LCD_H
#define __LCD_H

extern vram_row_t	lcd_home;		// VRAM address of top left corner.

void			lcd_init (void);
void			lcd_enable (void);
void			lcd_disable (void);
void			lcd_set_home (lcd_row_t row);

#endif //__LCD_H
